#pragma once

#include "CoreMinimal.h"
#include "TargetableComponent.h"
#include "DreamProjectionSurvivorTarget.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THENIGHTMARE_API UDreamProjectionSurvivorTarget : public UTargetableComponent
{
	GENERATED_BODY()

public:
	UDreamProjectionSurvivorTarget();
};

FORCEINLINE uint32 GetTypeHash(const UDreamProjectionSurvivorTarget) { return 0; }
